Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master
Class ExecuteMatchLogics

    java.lang.Object
      com.stc.eindex.master.ExecuteMatchLogics

public class ExecuteMatchLogics
extends java.lang.Object

The ExecuteMatchLogics class provides methods that allow you to customize how the matching process is performed by any of the "execute match" methods of the MasterController class. To incorporate the custom methods in an eView or eIndex Project, create custom plug-ins for the Project. executeMatch automatically checks the Threshold configuration file for the name of the custom plug-ins that contain these custom processing methods. If no custom plug-ins are defined, the value for each method defaults to false. For more information, see the eView Studio User's Guide or the eIndex Single Patient Identifier User's Guide.

Constructor Summary
`ExecuteMatchLogics()` Creates a new instance of the ExecuteMatchLogics class.

Method Summary
`boolean` | `bypassMatching(SystemObject so)` Specifies to the execute match methods whether to bypass the matching algorithm and insert the incoming record directly into the database or to perform standard match processing on the record.
`boolean` | `disallowAdd(SystemObject so)` Specifies to the execute match methods whether to allow the incoming record to be added to the database as a new enterprise object.
`boolean` | `disallowUpdate(SystemObject so)` Specifies to the execute match methods whether to allow the incoming system object to update a record that already exists in the database by examining only the system object.
`boolean` | `rejectAssumedMatch(SystemObject so, EnterpriseObject eo)` Specifies to the execute match method on whether to reject an assumed match after examining the record that is assumed to be a match.
`boolean` | `rejectUpdate(SystemObject so, EnterpriseObject eo)` Specifies to the execute match methods whether to reject updates to an existing enterprise record by examining both the system object and the enterprise object to update.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteMatchLogics

    public ExecuteMatchLogics()

  Creates a new instance of the ExecuteMatchLogics class.

  Parameters:
    None.
  Throws:
    None.

Method Detail

### bypassMatching

    public boolean bypassMatching(SystemObject so)
                           throws CustomizationException

  Specifies to the execute match methods whether to bypass the matching algorithm and insert the incoming record directly into the database or to perform standard match processing on the record.

  Parameters:
    `so` - The system object being processed.
  Returns:
    `boolean` - An indicator of whether to bypass matching. Specify true to bypass matching and add the record directly; otherwise, specify false.
  Throws:
    `CustomizationException` - Thrown if there is an error in the custom processing.

### disallowAdd

    public boolean disallowAdd(SystemObject so)
                        throws CustomizationException

  Specifies to the execute match methods whether to allow the incoming record to be added to the database as a new enterprise object.

  Parameters:
    `so` - The system object being processed.
  Returns:
    `boolean` - An indicator of whether to allow an incoming record to be added. Specify false to allow a record to be added; otherwise, specify true.
  Throws:
    `CustomizationException` - Thrown if there is an error in the custom processing.

### disallowUpdate

    public boolean disallowUpdate(SystemObject so)
                           throws CustomizationException

  Specifies to the execute match methods whether to allow the incoming system object to update a record that already exists in the database by examining only the system object.

  Parameters:
    `so` - The system object being processed.
  Returns:
    `boolean` - An indicator of whether to allow an update by an incoming record. Specify false to allow record updates; otherwise, specify true.
  Throws:
    `CustomizationException` - Thrown if there is an error in the custom processing.

### rejectAssumedMatch

    public boolean rejectAssumedMatch(SystemObject so,
                                      EnterpriseObject eo)
                               throws CustomizationException

  Specifies to the execute match method on whether to reject an assumed match after examining the record that is assumed to be a match.

  Parameters:
    `so` - The system object being processed.
  Returns:
    `boolean` - An indicator of whether to reject assumed matches of existing records. Specify true to reject assumed matches; otherwise, specify false.
  Throws:
    `CustomizationException` - Thrown if there is an error in the custom processing.

### rejectUpdate

    public boolean rejectUpdate(SystemObject so,
                                EnterpriseObject eo)
                         throws CustomizationException

  Specifies to the execute match methods whether to reject updates to an existing enterprise record by examining both the system object and the enterprise object to update.

  Parameters:
    `so` - The system object being processed.
  Returns:
    `boolean` - An indicator of whether to reject updates to existing records. Specify true to reject updates; otherwise, specify false.
  Throws:
    `CustomizationException` - Thrown if there is an error in the custom processing.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.